OUTPUT_FORMAT("coff-h8300")
OUTPUT_ARCH(h8300h)
ENTRY("_start")
MEMORY
{
	vectors : o = 0x00000, l = 0xc4
	magicvectors : o = 0x000c4, l = 0x3c
	ram : o = 0xfff300, l = 0xc00
	stack : o = 0xfff300, l = 0
}
SECTIONS
{
	.vectors : {
		*(.vectors)
	} > vectors
	.text :	{
		*(.rodata)
		*(.text)
		*(.strings)
	   	 _etext = . ;
	} > ram
	.tors : {
		___ctors = . ;
		*(.ctors)
		___ctors_end = . ;
		___dtors = . ;
		*(.dtors)
		___dtors_end = . ;
	} > ram
	.data : {
		*(.data)
		 _edata = . ;
	} > ram
	.bss : {
		 _bss_start = . ;
		*(.bss)
		*(COMMON)
		 _end = . ;
	} >ram
	.stack : {
		*(.stack)
		 _stack = . ;
	} > stack
}
