
#ifndef __H8_3067_H
#define __H8_3067_H

#define P1DDR (*(volatile unsigned char *)0xFEE000)
#define P2DDR (*(volatile unsigned char *)0xFEE001)
#define P3DDR (*(volatile unsigned char *)0xFEE002)
#define P4DDR (*(volatile unsigned char *)0xFEE003)
#define P5DDR (*(volatile unsigned char *)0xFEE004)
#define P6DDR (*(volatile unsigned char *)0xFEE005)
#define P8DDR (*(volatile unsigned char *)0xFEE007)
#define P9DDR (*(volatile unsigned char *)0xFEE008)
#define PADDR (*(volatile unsigned char *)0xFEE009)
#define PBDDR (*(volatile unsigned char *)0xFEE00A)
#define MDCR (*(volatile unsigned char *)0xFEE011)
#define SYSCR (*(volatile unsigned char *)0xFEE012)
#define BRCR (*(volatile unsigned char *)0xFEE013)
#define ISCR (*(volatile unsigned char *)0xFEE014)
#define IER (*(volatile unsigned char *)0xFEE015)
#define ISR (*(volatile unsigned char *)0xFEE016)
#define IPRA (*(volatile unsigned char *)0xFEE018)
#define IPRB (*(volatile unsigned char *)0xFEE019)
#define DASTCR (*(volatile unsigned char *)0xFEE01A)
#define DIVCR (*(volatile unsigned char *)0xFEE01B)
#define MSTCRH (*(volatile unsigned char *)0xFEE01C)
#define MSTCRL (*(volatile unsigned char *)0xFEE01D)
#define ADRCR (*(volatile unsigned char *)0xFEE01E)
#define CSCR (*(volatile unsigned char *)0xFEE01F)
#define ABWCR (*(volatile unsigned char *)0xFEE020)
#define ASTCR (*(volatile unsigned char *)0xFEE021)
#define WCRH (*(volatile unsigned char *)0xFEE022)
#define WCRL (*(volatile unsigned char *)0xFEE023)
#define BCR (*(volatile unsigned char *)0xFEE024)
#define DRCRA (*(volatile unsigned char *)0xFEE026)
#define DRCRB (*(volatile unsigned char *)0xFEE027)
#define RTMCSR (*(volatile unsigned char *)0xFEE028)
#define RTCNT (*(volatile unsigned char *)0xFEE029)
#define RTCOR (*(volatile unsigned char *)0xFEE02A)
#define FLMCR (*(volatile unsigned char *)0xFEE030)
#define EBR (*(volatile unsigned char *)0xFEE032)
#define P2PCR (*(volatile unsigned char *)0xFEE03C)
#define P4PCR (*(volatile unsigned char *)0xFEE03E)
#define P5PCR (*(volatile unsigned char *)0xFEE03F)
#define RAMCR (*(volatile unsigned char *)0xFEE077)
#define FLMSR (*(volatile unsigned char *)0xFEE07D)
#define MAR0AR (*(volatile unsigned char *)0xFFFF20)
#define MAR0AE (*(volatile unsigned char *)0xFFFF21)
#define MAR0AH (*(volatile unsigned char *)0xFFFF22)
#define MAR0AL (*(volatile unsigned char *)0xFFFF23)
#define ETCR0AH (*(volatile unsigned char *)0xFFFF24)
#define ETCR0AL (*(volatile unsigned char *)0xFFFF25)
#define IOAR0A (*(volatile unsigned char *)0xFFFF26)
#define DTCR0A (*(volatile unsigned char *)0xFFFF27)
#define MAR0BR (*(volatile unsigned char *)0xFFFF28)
#define MAR0BE (*(volatile unsigned char *)0xFFFF29)
#define MAR0BH (*(volatile unsigned char *)0xFFFF2A)
#define MAR0BL (*(volatile unsigned char *)0xFFFF2B)
#define ETCR0BH (*(volatile unsigned char *)0xFFFF2C)
#define ETCR0BL (*(volatile unsigned char *)0xFFFF2D)
#define IOAR0B (*(volatile unsigned char *)0xFFFF2E)
#define DTCR0B (*(volatile unsigned char *)0xFFFF2F)
#define MAR1AR (*(volatile unsigned char *)0xFFFF30)
#define MAR1AE (*(volatile unsigned char *)0xFFFF31)
#define MAR1AH (*(volatile unsigned char *)0xFFFF32)
#define MAR1AL (*(volatile unsigned char *)0xFFFF33)
#define ETCR1AH (*(volatile unsigned char *)0xFFFF34)
#define ETCR1AL (*(volatile unsigned char *)0xFFFF35)
#define IOAR1A (*(volatile unsigned char *)0xFFFF36)
#define DTCR1A (*(volatile unsigned char *)0xFFFF37)
#define MAR1BR (*(volatile unsigned char *)0xFFFF38)
#define MAR1BE (*(volatile unsigned char *)0xFFFF39)
#define MAR1BH (*(volatile unsigned char *)0xFFFF3A)
#define MAR1BL (*(volatile unsigned char *)0xFFFF3B)
#define ETCR1BH (*(volatile unsigned char *)0xFFFF3C)
#define ETCR1BL (*(volatile unsigned char *)0xFFFF3D)
#define IOAR1B (*(volatile unsigned char *)0xFFFF3E)
#define DTCR1B (*(volatile unsigned char *)0xFFFF3F)
#define T16STR (*(volatile unsigned char *)0xFFFF60)
#define T16SNC (*(volatile unsigned char *)0xFFFF61)
#define T16MDR (*(volatile unsigned char *)0xFFFF62)
#define T16OLR (*(volatile unsigned char *)0xFFFF63)
#define T16ISRA (*(volatile unsigned char *)0xFFFF64)
#define T16ISRB (*(volatile unsigned char *)0xFFFF65)
#define T16ISRC (*(volatile unsigned char *)0xFFFF66)
#define T16CR0 (*(volatile unsigned char *)0xFFFF68)
#define T16IOR0 (*(volatile unsigned char *)0xFFFF69)
#define T16CNT0H (*(volatile unsigned char *)0xFFFF6A)
#define T16CNT0L (*(volatile unsigned char *)0xFFFF6B)
#define GRA0H (*(volatile unsigned char *)0xFFFF6C)
#define GRA0L (*(volatile unsigned char *)0xFFFF6D)
#define GRB0H (*(volatile unsigned char *)0xFFFF6E)
#define GRB0L (*(volatile unsigned char *)0xFFFF6F)
#define T16CR1 (*(volatile unsigned char *)0xFFFF70)
#define T16IOR1 (*(volatile unsigned char *)0xFFFF71)
#define T16CNT1H (*(volatile unsigned char *)0xFFFF72)
#define T16CNT1L (*(volatile unsigned char *)0xFFFF73)
#define GRA1H (*(volatile unsigned char *)0xFFFF74)
#define GRA1L (*(volatile unsigned char *)0xFFFF75)
#define GRB1H (*(volatile unsigned char *)0xFFFF76)
#define GRB1L (*(volatile unsigned char *)0xFFFF77)
#define T16CR2 (*(volatile unsigned char *)0xFFFF78)
#define T16IOR2 (*(volatile unsigned char *)0xFFFF79)
#define T16CNT2H (*(volatile unsigned char *)0xFFFF7A)
#define T16CNT2L (*(volatile unsigned char *)0xFFFF7B)
#define GRA2H (*(volatile unsigned char *)0xFFFF7C)
#define GRA2L (*(volatile unsigned char *)0xFFFF7D)
#define GRB2H (*(volatile unsigned char *)0xFFFF7E)
#define GRB2L (*(volatile unsigned char *)0xFFFF7F)
#define T8CR0 (*(volatile unsigned char *)0xFFFF80)
#define T8CR1 (*(volatile unsigned char *)0xFFFF81)
#define T8CSR0 (*(volatile unsigned char *)0xFFFF82)
#define T8CSR1 (*(volatile unsigned char *)0xFFFF83)
#define T8CORA0 (*(volatile unsigned char *)0xFFFF84)
#define T8CORA1 (*(volatile unsigned char *)0xFFFF85)
#define T8CORB0 (*(volatile unsigned char *)0xFFFF86)
#define T8CORB1 (*(volatile unsigned char *)0xFFFF87)
#define T8CNT0 (*(volatile unsigned char *)0xFFFF88)
#define T8CNT1 (*(volatile unsigned char *)0xFFFF89)
#define TCSR (*(volatile unsigned char *)0xFFFF8C)
#define TCNT (*(volatile unsigned char *)0xFFFF8D)
#define RSTCSR (*(volatile unsigned char *)0xFFFF8F)
#define T8CR2 (*(volatile unsigned char *)0xFFFF90)
#define T8CR3 (*(volatile unsigned char *)0xFFFF91)
#define T8CSR2 (*(volatile unsigned char *)0xFFFF92)
#define T8CSR3 (*(volatile unsigned char *)0xFFFF93)
#define T8CORA2 (*(volatile unsigned char *)0xFFFF94)
#define T8CORA3 (*(volatile unsigned char *)0xFFFF95)
#define T8CORB2 (*(volatile unsigned char *)0xFFFF96)
#define T8CORB3 (*(volatile unsigned char *)0xFFFF97)
#define T8CNT2 (*(volatile unsigned char *)0xFFFF98)
#define T8CNT3 (*(volatile unsigned char *)0xFFFF99)
#define DADR0 (*(volatile unsigned char *)0xFFFF9C)
#define DADR1 (*(volatile unsigned char *)0xFFFF9D)
#define DACR (*(volatile unsigned char *)0xFFFF9E)
#define TPMR (*(volatile unsigned char *)0xFFFFA0)
#define TPCR (*(volatile unsigned char *)0xFFFFA1)
#define NDERB (*(volatile unsigned char *)0xFFFFA2)
#define NDERA (*(volatile unsigned char *)0xFFFFA3)
#define NDRB (*(volatile unsigned char *)0xFFFFA4)
#define NDRA (*(volatile unsigned char *)0xFFFFA5)
//#define NDRB (*(volatile unsigned char *)0xFFFFA6)
//#define NDRA (*(volatile unsigned char *)0xFFFFA7)
#define SMR0 (*(volatile unsigned char *)0xFFFFB0)
#define BRR0 (*(volatile unsigned char *)0xFFFFB1)
#define SCR0 (*(volatile unsigned char *)0xFFFFB2)
#define TDR0 (*(volatile unsigned char *)0xFFFFB3)
#define SSR0 (*(volatile unsigned char *)0xFFFFB4)
#define RDR0 (*(volatile unsigned char *)0xFFFFB5)
#define SCMR0 (*(volatile unsigned char *)0xFFFFB6)
#define SMR1 (*(volatile unsigned char *)0xFFFFB8)
#define BRR1 (*(volatile unsigned char *)0xFFFFB9)
#define SCR1 (*(volatile unsigned char *)0xFFFFBA)
#define TDR1 (*(volatile unsigned char *)0xFFFFBB)
#define SSR1 (*(volatile unsigned char *)0xFFFFBC)
#define RDR1 (*(volatile unsigned char *)0xFFFFBD)
#define SCMR1 (*(volatile unsigned char *)0xFFFFBE)
#define SMR2 (*(volatile unsigned char *)0xFFFFC0)
#define BRR2 (*(volatile unsigned char *)0xFFFFC1)
#define SCR2 (*(volatile unsigned char *)0xFFFFC2)
#define TDR2 (*(volatile unsigned char *)0xFFFFC3)
#define SSR2 (*(volatile unsigned char *)0xFFFFC4)
#define RDR2 (*(volatile unsigned char *)0xFFFFC5)
#define SCMR2 (*(volatile unsigned char *)0xFFFFC6)
#define P1DR (*(volatile unsigned char *)0xFFFFD0)
#define P2DR (*(volatile unsigned char *)0xFFFFD1)
#define P3DR (*(volatile unsigned char *)0xFFFFD2)
#define P4DR (*(volatile unsigned char *)0xFFFFD3)
#define P5DR (*(volatile unsigned char *)0xFFFFD4)
#define P6DR (*(volatile unsigned char *)0xFFFFD5)
#define P7DR (*(volatile unsigned char *)0xFFFFD6)
#define P8DR (*(volatile unsigned char *)0xFFFFD7)
#define P9DR (*(volatile unsigned char *)0xFFFFD8)
#define PADR (*(volatile unsigned char *)0xFFFFD9)
#define PBDR (*(volatile unsigned char *)0xFFFFDA)
#define ADDRAH (*(volatile unsigned char *)0xFFFFE0)
#define ADDRAL (*(volatile unsigned char *)0xFFFFE1)
#define ADDRBH (*(volatile unsigned char *)0xFFFFE2)
#define ADDRBL (*(volatile unsigned char *)0xFFFFE3)
#define ADDRCH (*(volatile unsigned char *)0xFFFFE4)
#define ADDRCL (*(volatile unsigned char *)0xFFFFE5)
#define ADDRDH (*(volatile unsigned char *)0xFFFFE6)
#define ADDRDL (*(volatile unsigned char *)0xFFFFE7)
#define ADCSR (*(volatile unsigned char *)0xFFFFE8)
#define ADCR (*(volatile unsigned char *)0xFFFFE9)

#endif
