

enum {
	_FIRMWARE_VERSION                = 0x01,
	_SET_CHIP_MODE                   = 0x02,
	_SET_HIGH_VOLTAGE                = 0x10,
	_PIC_START                       = 0x20,
	_PIC_COMMAND                     = 0x21,
	_PIC_LOADDATA                    = 0x22,
	_PIC_READDATA                    = 0x23,
	_PIC_END                         = 0x24,
	_PIC_BULK_READ_PROGRAM           = 0x25,
	_PIC_BULK_LOAD_PROGRAM           = 0x26,
	_AVR_DISABLE                     = 0x40,
	_AVR_ENABLE                      = 0x41,
	_AVR_READ_SIGNATURE              = 0x42,
	_AVR_READ_PROGRAM                = 0x43,
	_AVR_LOAD_PROGRAM                = 0x44,
	_AVR_CHIP_ERASE                  = 0x45,
	_AVR_READ_FUSE                   = 0x46,
	_AVR_WRITE_FUSE_L                = 0x47,
	_AVR_WRITE_FUSE_H                = 0x48,
	_AVR_WRITE_FUSE_E                = 0x49,
	_TERMINATE                       = 0xff,
};

enum {
	OP_NONE = 0x80,
	OP_SETBINARY256 = 0x81,
	OP_SETADDRESS = 0x82,
	OP_CHECKSUM = 0x83,
	OP_PROGRAM = 0x84,
};



