
#ifndef __H8_3664_H
#define __H8_3664_H

#define TMRW (*(volatile unsigned char *)0xFF80)
#define TCRW (*(volatile unsigned char *)0xFF81)
#define TIERW (*(volatile unsigned char *)0xFF82)
#define TSRW (*(volatile unsigned char *)0xFF83)
#define TIOR0 (*(volatile unsigned char *)0xFF84)
#define TIOR1 (*(volatile unsigned char *)0xFF85)
#define TCNT (*(volatile unsigned char *)0xFF86)
#define GRA (*(volatile unsigned char *)0xFF88)
#define GRB (*(volatile unsigned char *)0xFF8A)
#define GRC (*(volatile unsigned char *)0xFF8C)
#define GRD (*(volatile unsigned char *)0xFF8E)
#define FLMCR1 (*(volatile unsigned char *)0xFF90)
#define FLMCR2 (*(volatile unsigned char *)0xFF91)
#define FLPWCR (*(volatile unsigned char *)0xFF92)
#define EBR1 (*(volatile unsigned char *)0xFF93)
#define FENR (*(volatile unsigned char *)0xFF9B)
#define TCRV0 (*(volatile unsigned char *)0xFFA0)
#define TCSRV (*(volatile unsigned char *)0xFFA1)
#define TCORA (*(volatile unsigned char *)0xFFA2)
#define TCORB (*(volatile unsigned char *)0xFFA3)
#define TCNTV (*(volatile unsigned char *)0xFFA4)
#define TCRV1 (*(volatile unsigned char *)0xFFA5)
#define TMA (*(volatile unsigned char *)0xFFA6)
#define TCA (*(volatile unsigned char *)0xFFA7)
#define SMR (*(volatile unsigned char *)0xFFA8)
#define BRR (*(volatile unsigned char *)0xFFA9)
#define SCR3 (*(volatile unsigned char *)0xFFAA)
#define TDR (*(volatile unsigned char *)0xFFAB)
#define SSR (*(volatile unsigned char *)0xFFAC)
#define RDR (*(volatile unsigned char *)0xFFAD)
#define ADDRA (*(volatile unsigned char *)0xFFB0)
#define ADDRB (*(volatile unsigned char *)0xFFB2)
#define ADDRC (*(volatile unsigned char *)0xFFB4)
#define ADDRD (*(volatile unsigned char *)0xFFB6)
#define ADCSR (*(volatile unsigned char *)0xFFB8)
#define ADCR (*(volatile unsigned char *)0xFFB9)
#define TCSRWD (*(volatile unsigned char *)0xFFC0)
#define TCWD (*(volatile unsigned char *)0xFFC1)
#define TMWD (*(volatile unsigned char *)0xFFC2)
#define ICCR (*(volatile unsigned char *)0xFFC4)
#define ICSR (*(volatile unsigned char *)0xFFC5)
#define ICDR (*(volatile unsigned char *)0xFFC6)
#define SARX (*(volatile unsigned char *)0xFFC6)
#define ICMR (*(volatile unsigned char *)0xFFC7)
#define SAR (*(volatile unsigned char *)0xFFC7)
#define ABRKCR (*(volatile unsigned char *)0xFFC8)
#define ABRKSR (*(volatile unsigned char *)0xFFC9)
#define BARH (*(volatile unsigned char *)0xFFCA)
#define BARL (*(volatile unsigned char *)0xFFCB)
#define BDRH (*(volatile unsigned char *)0xFFCC)
#define BDRL (*(volatile unsigned char *)0xFFCD)
#define PUCR1 (*(volatile unsigned char *)0xFFD0)
#define PUCR5 (*(volatile unsigned char *)0xFFD1)
#define PDR1 (*(volatile unsigned char *)0xFFD4)
#define PDR2 (*(volatile unsigned char *)0xFFD5)
#define PDR5 (*(volatile unsigned char *)0xFFD8)
#define PDR7 (*(volatile unsigned char *)0xFFDA)
#define PDR8 (*(volatile unsigned char *)0xFFDB)
#define PDRB (*(volatile unsigned char *)0xFFDD)
#define PMR1 (*(volatile unsigned char *)0xFFE0)
#define PMR5 (*(volatile unsigned char *)0xFFE1)
#define PCR1 (*(volatile unsigned char *)0xFFE4)
#define PCR2 (*(volatile unsigned char *)0xFFE5)
#define PCR5 (*(volatile unsigned char *)0xFFE8)
#define PCR7 (*(volatile unsigned char *)0xFFEA)
#define PCR8 (*(volatile unsigned char *)0xFFEB)
#define SYSCR1 (*(volatile unsigned char *)0xFFF0)
#define SYSCR2 (*(volatile unsigned char *)0xFFF1)
#define IEGR1 (*(volatile unsigned char *)0xFFF2)
#define IEGR2 (*(volatile unsigned char *)0xFFF3)
#define IENR1 (*(volatile unsigned char *)0xFFF4)
#define IRR1 (*(volatile unsigned char *)0xFFF6)
#define IWPR (*(volatile unsigned char *)0xFFF8)
#define TSCR (*(volatile unsigned char *)0xFFFC)

#endif
